Package com.io7m.brooklime.api
Interface BLNexusClientType
- All Superinterfaces:
AutoCloseable,Closeable
- All Known Implementing Classes:
BLNexusClient
A Nexus client.
-
Method Summary
Modifier and TypeMethodDescriptionCreate a staging repository upload request.List the available staging repositories.voidClose one or more staging repositories.Create a staging repository.voidDrop one or more staging repositories.Retrieve an existing staging repository.voidRelease one or more staging repositories.voidupload(BLStagingRepositoryUpload upload, BLProgressReceiverType receiver) Execute an upload request.
-
Method Details
-
upload
Execute an upload request. Progress updates will be delivered to the given receiver.- Parameters:
upload- The set of files to be uploadedreceiver- The progress receiver- Throws:
BLException- On errors
-
createUploadRequest
BLStagingRepositoryUpload createUploadRequest(BLStagingRepositoryUploadRequestParameters request) throws BLException Create a staging repository upload request.- Parameters:
request- The upload request parameters- Returns:
- A new request
- Throws:
BLException- On errors
-
stagingRepositories
List the available staging repositories.- Returns:
- The list of repositories
- Throws:
BLException- On errors
-
stagingRepositoryGet
Retrieve an existing staging repository.- Parameters:
id- The ID of the repository- Returns:
- The repository, or nothing if the repository does not exist
- Throws:
BLException- On errors
-
stagingRepositoryCreate
Create a staging repository.- Parameters:
create- The creation parameters- Returns:
- The ID of the created repository
- Throws:
BLException- On errors
-
stagingRepositoryDrop
Drop one or more staging repositories.- Parameters:
drop- The repository parameters- Throws:
BLException- On errors
-
stagingRepositoryClose
Close one or more staging repositories.- Parameters:
close- The repository parameters- Throws:
BLException- On errors
-
stagingRepositoryRelease
Release one or more staging repositories.- Parameters:
release- The repository parameters- Throws:
BLException- On errors
-